/***************************************************************************
                           sharpness.cpp
                           -------------
    begin                : Sat Jul 31 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * Sharpness algorithm taken from DScaler.
 * Copyright (c) 2001 Tom Barry. All rights reserved.
 *
 * Ported by: Dirk Ziegelmeier
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 */

#include <stdlib.h>

#include <kdebug.h>
#include <klocale.h>
#include <kconfig.h>
#include <KConfigGroup>

#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qpushbutton.h>
//Added by qt3to4:
#include <Q3GridLayout>
#include <Q3Frame>

#include "sharpness.h"
#include "kdetvimagefilter.h"
#include "kdetvimagefiltercontext.h"
#include "kdetvcpudetection.h"
#include "x86-64_macros.inc"

#define USEPREFETCH_DEFAULT true
#define SHARPNESS_DEFAULT   128

#include "sharpnessimagefilter.h"


#undef USE_PREFETCH

#define IS_MMXEXT
#include "sharpness.asm"
#undef  IS_MMXEXT

